import { defineComponent } from "vue";
import { string } from "vue-types";
import { useCompData } from ".";
import { CompUI } from "../..";
import { useEditor } from "../../../..";
import { DesignComp } from "../../../../objects/DesignTemp/DesignComp";
import { View } from "../View";

export const Component = defineComponent({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { store, helper } = useEditor();
    const { value, children } = useCompData(props.compId);
    return () => (
      <View
        compId={props.compId}
        style={{
          position: "absolute",
          top: helper.designToNaturalSize(value.position[1]),
          left: helper.designToNaturalSize(value.position[0]),
        }}
      >
        {children.default.map((compId) => {
          const compItem = helper.findComp(compId) as DesignComp;
          const Comp = CompUI[compItem.compKey].Component;
          return <Comp key={compItem.id} compId={compItem.id} />;
        })}
      </View>
    );
  },
});
