import { TransCreateFn } from "..";

export const resize: TransCreateFn = () => ({
  mousemove() {
    const { transEvent, compEl } = this;
    compEl.style.width = this.module.helper.designToNaturalSize(
      transEvent.width + transEvent.offsetX * 2
    );
    compEl.style.height = this.module.helper.designToNaturalSize(
      transEvent.height + transEvent.offsetY * 2
    );
  },
  mouseup() {
    const { transEvent } = this;
    const { currComp } = this.module.store;
    currComp.layout.size || (currComp.layout.size = [0, 0]);
    currComp.layout.size[0] = transEvent.width + transEvent.offsetX * 2;
    currComp.layout.size[1] = transEvent.height + transEvent.offsetY * 2;
  },
});
